## wxDividedShape

A wxDividedShape is a rectangle with a number of vertical divisions. Each division may have its text formatted with independent characteristics, and the size of each division relative to the whole image may be specified.

Derived from

wxRectangleShape

See also

wxDividedShape overview

Members

wxDividedShape::wxDividedShape
wxDividedShape::~wxDividedShape
wxDividedShape::EditRegions
wxDividedShape::SetRegionSizes

### wxDividedShape::wxDividedShape

wxDividedShape(double width = 0.0, double height = 0.0)

Constructor.

### wxDividedShape::~wxDividedShape

~wxDividedShape()

Destructor.

### wxDividedShape::EditRegions

void EditRegions()

Edit the region colours and styles.

### wxDividedShape::SetRegionSizes

void SetRegionSizes()

Set all region sizes according to proportions and this object total size.